gtkmm: Gtk::AppChooser Class Reference

gtkmm 3.4.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::AppChooser Class Reference

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file). More...

Inheritance diagram for Gtk::AppChooser:
[legend]

List of all members.

## Public Member Functions
virtual | ~AppChooser ()
GtkAppChooser* | gobj ()
| Provides access to the underlying C GObject.
const GtkAppChooser* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Gio::AppInfo > | get_app_info ()
| Returns the currently selected application.
Glib::RefPtr< const Gio::AppInfo > | get_app_info () const
| Returns the currently selected application.
Glib::ustring | get_content_type () const
| Returns the current value of the Gtk::AppChooser::property_content_type() property.
void | refresh ()
| Reloads the list of applications.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_content_type () const
| The content type used by the open with object.
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| AppChooser ()
| You should derive from this class to use it.
Protected Member Functions inherited from Glib::Interface
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::AppChooser > | wrap (GtkAppChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file).

The main objects that implement this interface are AppChooserWidget, AppChooserDialog and AppChooserButton.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::AppChooser::AppChooser | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gtk::AppChooser::~AppChooser | ( |  | ) |
| virtual

## Member Function Documentation

static void Gtk::AppChooser::add_interface | ( | GType | gtype_implementer | ) |
| static

Glib::RefPtr<Gio::AppInfo> Gtk::AppChooser::get_app_info | ( |  | ) |

Returns the currently selected application.

Since gtkmm 3.0:

Returns:
  A AppInfo for the currently selected application, or `0` if none is selected. Free with Glib::object_unref().

Glib::RefPtr<const Gio::AppInfo> Gtk::AppChooser::get_app_info | ( |  | ) | const

Returns the currently selected application.

Since gtkmm 3.0:

Returns:
  A AppInfo for the currently selected application, or `0` if none is selected. Free with Glib::object_unref().

Glib::ustring Gtk::AppChooser::get_content_type | ( |  | ) | const

Returns the current value of the Gtk::AppChooser::property_content_type() property.

Since gtkmm 3.0:

Returns:
  The content type of self. Free with Glib::free().

static GType Gtk::AppChooser::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented in Gtk::AppChooserDialog, Gtk::AppChooserWidget, and Gtk::AppChooserButton.

GtkAppChooser* Gtk::AppChooser::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserDialog, Gtk::AppChooserWidget, and Gtk::AppChooserButton.

const GtkAppChooser* Gtk::AppChooser::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserDialog, Gtk::AppChooserWidget, and Gtk::AppChooserButton.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AppChooser::property_content_type | ( |  | ) | const

The content type used by the open with object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooser::refresh | ( |  | ) |

Reloads the list of applications.

Since gtkmm 3.0:

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::AppChooser > wrap | ( | GtkAppChooser * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooser.h